<!DOCTYPE html>
<html>

<head>
  <title>Page one of the calculation quiz</title>
</head>

<body>

  <div class="main-container">
    <h2 id="question" class="title">Question Placeholder</h2>
    <h3 class="time">20</h3>
    <h3 class="timeLeft">Time left </h3>
    <h3 class="currentScore">0</h3>
    <h3 class="score">Score</h3>
    <div class="input-wrapper">
      <input type="text" class="input" data-dom-state="input-1" />
    </div>
    <div id="input-buttons" class="button-wrapper">
      <button class="button">1</button>
      <button class="button">2</button>
      <button class="button">3</button>
      <button class="button">4</button>
      <button class="button">5</button>
      <button class="button">6</button>
      <button class="button">7</button>
      <button class="button">8</button>
      <button class="button">9</button>
      <button class="button">.</button>
      <button class="button">-</button>
      <button class="button">0</button>
    </div>
    <button class="button-2" onclick="checkInput()">Enter</button>
  </div>
  <div class="builder-canvas"></div>

  <style>
    .main-container {
      align-items: center;
      background-color: rgb(49, 49, 49, 1);
      color: #fff;
      display: flex;
      flex-direction: column;
      height: 100vh;
      justify-content: center;
    }

    .title {
      font-size: 24px;
      margin-bottom: 20px;
    }

    .time {
      position: absolute;
      top: 10%;
      left: 90%;
      transform: translateX(-50%);
      font-size: 24px;
      /* Schriftgröße nach*/
    }

    .timeLeft {
      position: absolute;
      top: 10%;
      left: 84%;
      transform: translateX(-50%);
      font-size: 24px;
      /* Schriftgröße nach*/
    }

    .currentScore {
      position: absolute;
      top: 20%;
      left: 90%;
      transform: translateX(-50%);
      font-size: 24px;
      /* Schriftgröße nach*/
    }

    .score {
      position: absolute;
      top: 20%;
      left: 85%;
      transform: translateX(-50%);
      font-size: 24px;
      /* Schriftgröße nach*/
    }

    .input-wrapper {
      align-items: center;
      display: flex;
      justify-content: center;
      margin-bottom: 20px;
    }

    .input {
      background-color: #333;
      border-radius: 5px;
      border-top-left-radius: 5px;
      color: #fff;
      font-size: 18px;
      height: 40px;
      width: 250px;
      padding: 10px;
    }

    .button-wrapper {
      column-gap: 10px;
      display: grid;
      gap: 10px;
      grid-template-columns: repeat(3, 1fr);
      margin-bottom: 20px;
      row-gap: 10px;
    }

    .button {
      all: unset;
      border-bottom: none;
      border-color: #fff;
      border-left: none;
      border-radius: 5px;
      border-right: none;
      border-top: none;
      border-top-left-radius: 5px;
      color: #000;
      font-size: 26px;
      text-align: center;
      height: 60px;
      width: 80px;
      padding: 10px;
      border-radius: 10px;
      background-color: rgba(1000, 255, 255, 255);
    }

    .button-2 {
      all: unset;
      background-color: #0087f0;
      border-bottom: none;
      border-color: #fff;
      border-left: none;
      border-radius: 5px;
      border-right: none;
      border-top: none;
      border-top-left-radius: 5px;
      color: #000;
      font-size: 30px;
      text-align: center;
      height: 80px;
      width: 258px;
      padding: 10px;
      border-radius: 10px;
      background-color: rgba(0, 184, 252, 1);
    }

    .builder-canvas {
      display: flex;
      flex-direction: column;
      position: relative;
      min-height: 500px;
    }
  </style>
</body>
<script src="scripts/statistics.js"></script>
<script src="scripts/maths.js"></script>
<script src="scripts/input.js"></script>
<script src="scripts/scoring.js"></script>
<script>
  let currentQuestion;
  const statisticsHelper = new StatisticsHelper();
  statisticsHelper.startRun("maths", "Example Name");
  nextQuest();

  function nextQuest() {
    currentQuestion = createMathProblem();
    document.querySelector('#question').innerHTML = currentQuestion;
  }

  function checkInput() {
    const input = document.querySelector('[data-dom-state="input-1"]');
    const inputVal = input.value;

    if (inputVal == result) {
      scoreAnswerCorrect(currentQuestion, inputVal);
    }
    else {
      scoreAnswerIncorrect();
    }
  }
  startCountdown();
</script>



</html>